import request from '@/utils/request'

// 获取题干列表
export function getStemList(params) {
    return request({
            url: '/knowledge/system/questionStem/findAll',
            method: 'get',
            params
        }
    )
}
//新增题干
export function insertStem(data) {
    return request({
            url: '/knowledge/system/questionStem/insert',
            method: 'post',
            data:data
        }
    )
}
//修改题干
export function updateStem(data) {
    return request({
            url: '/knowledge/system/questionStem/update',
            method: 'post',
            data
        }
    )
}
//删除题干
export function deleteStem(idList) {
    return request({
            url: '/knowledge/system/questionStem/delete',
            method: 'post',
            params:idList
        }
    )
}
//查看试题详情
export function findOneStem(id) {
    return request({
            url: '/knowledge/system/questionStem/findOne?id='+id,
            method: 'get'
        }
    )
}
